%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%      -2007
% ()   , 2007
%  2.0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\NeedsTeXFormat{LaTeX2e}[1994/01/01]
\ProvidesClass{elbrus2}[2006/29/12 v2.0 by P.R. Levashov]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{revtex4}}
\ProcessOptions

%\LoadClass{article}
\LoadClass[a4paper,aps,twocolumn,floatfix,10pt]{revtex4}
\usepackage{calc}
%\usepackage{amssymb}
\usepackage[cp1251]{inputenc}
\usepackage[english,russian]{babel}
\usepackage{graphicx}
%\usepackage{vmargin}
%\usepackage{array}
%\usepackage{caption2}
%\usepackage{vmargin}
%\setpapersize[portrait]{A4}
%\setmargins{2.5cm}{2cm}{165mm}{254.5mm}{0pt}{0mm}{0pt}{5mm}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Page style redifinitions
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\setlength{\headheight}{0mm}
\setlength{\voffset}{-15mm}
\setlength{\topmargin}{9.5mm}
\setlength{\headsep}{0mm}
\setlength{\textheight}{250mm}

\setlength{\hoffset}{-1in}
\setlength{\oddsidemargin}{22.5mm}
\setlength{\textwidth}{165mm}
\setlength{\footskip}{7mm}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Bibliography redefinitions 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\tolerance=800

\renewcommand{\@biblabel}[1]{#1.\hfill}

\newcounter{tmp}

\renewenvironment{thebibliography}[1]%
{\begin{list}{\arabic{tmp}.}{%
\usecounter{tmp}%
\vspace{4pt}%
\setlength{\rightmargin}{0pt}%
\settowidth{\labelwidth}{\@biblabel{#1}}%
\settowidth{\labelsep}{\ \ }%
\setlength{\leftmargin}{\labelwidth+\labelsep}%
\setlength{\topsep}{50pt}%
\setlength{\parsep}{0pt}%
\setlength{\itemsep}{0pt}%
\item[]}}%
{\end{list}}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Special commands for proceedings
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\newcommand\elbrustitle[1]{{\onecolumngrid\centering\textbf{#1}\\}}
\newcommand\elbrusauthor[1]{{\vspace{3pt}\centering\textbf{\textit{#1}}\\}}
\newcommand\elbrusaffil[1]{{\vspace{3pt}\centering\textit{#1}\\}}
\newcommand\elbrusemail[1]{{\vspace{3pt}\centering\textsl{#1}\vspace{6pt}\\\relax}\twocolumngrid}
%\setlength{\extrarowheight}{3pt}

\long\def\@makecaption#1#2{%
  \par
  \vskip\abovecaptionskip
  \begingroup
   \small\rmfamily
   \sbox\@tempboxa{%
    \let\\\heading@cr
    \textbf{#1.} #2%
   }%
   \@ifdim{\wd\@tempboxa >\hsize}{%
    \begingroup
     \samepage
     \flushing
     \let\footnote\@footnotemark@gobble
     \textbf{#1.} #2\par
    \endgroup
   }{%
     \global \@minipagefalse
     \hb@xt@\hsize{\hfil\unhbox\@tempboxa\hfil}%
   }%
  \endgroup
  \vskip\belowcaptionskip
}%

%\renewcommand{\figurename}{.~\arabic{figure}. }
\renewcommand{\thetable}{\arabic{table}}

\pagestyle{plain}
%\renewcommand*\captionlabeldelim{.}
